package org.objectweb.jonas.jtests.beans.relation.tier;

import javax.ejb.EJBObject;
import javax.ejb.CreateException;
import javax.naming.NamingException;
import javax.ejb.FinderException;
import javax.ejb.RemoveException;
import java.rmi.RemoteException;

import java.util.Collection;

/**
 * Remote interface for TestFacade.
 */

public interface TestFacade extends EJBObject {

    // Tier entity beans methods
    public TierValue findTierByKey(java.lang.Integer pk) throws FinderException, NamingException, RemoteException;

    public TierValue create(TierValue value) throws RemoteException, CreateException, FinderException, NamingException;

    public TiephyValue getTiephyValueOfTier(java.lang.Integer pk) throws FinderException, NamingException,
            RemoteException;

    public TiemorValue getTiemorValueOfTier(java.lang.Integer pk) throws FinderException, NamingException,
            RemoteException;

    public void update(TierValue value) throws FinderException, NamingException, RemoteException;

    public java.util.Collection tierfindByTiemorOrTiephy(java.lang.String nom) throws FinderException, RemoteException,
            NamingException;

    public void removeTier(java.lang.Integer pk) throws FinderException, NamingException, RemoteException,
            RemoveException;

    public java.util.Collection getTierValueWithCollectionPK(Collection pks) throws RemoteException, FinderException,
            NamingException;

}